Bug 454810 - Panel height with an odd value makes the System Tray icons too small and blurry
Summary: Panel height with an odd value makes the System Tray icons too small and blurry
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: System Tray (show other bugs)
Version: 5.24.5
Platform: Neon Packages Linux
: NOR minor
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2022-06-03 17:41 UTC by ]\/[ ]\/[ ]_ 1357
Modified: 2022-06-13 14:34 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25.1


Attachments
Examples with 26, 27 and 28 on panel height. (135.37 KB, image/png)
2022-06-03 17:41 UTC, ]\/[ ]\/[ ]_ 1357
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ]\/[ ]\/[ ]_ 1357 2022-06-03 17:41:14 UTC
Created attachment 149440 [details]
Examples with 26, 27 and 28 on panel height.

SUMMARY
Setting the panel height to an odd value makes the notification icons too small. More than if it's set the height to the value before that number.

STEPS TO REPRODUCE
1. Set panel height to an odd value (27 for example).

OBSERVED RESULT
Notification icons are noticeably reduced in size, more so than setting the panel height to the before value (26 for example)

EXPECTED RESULT
Notification icons are not noticeably reduced in size by setting odd values.

SOFTWARE/OS VERSIONS
Operating System: KDE neon 5.24
KDE Plasma Version: 5.24.5
KDE Frameworks Version: 5.94.0
Qt Version: 5.15.4
Comment 1 Fushan Wen 2022-06-05 16:19:25 UTC
Can reproduce
Comment 2 Nate Graham 2022-06-06 20:22:38 UTC
Me too. Maybe we're missing a Math.Round() somewhere.
Comment 3 Bug Janitor Service 2022-06-13 09:15:10 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/981
Comment 4 Nate Graham 2022-06-13 14:31:05 UTC
Git commit bf45a1d59fe7bec994e9bf9be61f724cbdfc267b by Nate Graham, on behalf of Anthony Hung.
Committed on 13/06/2022 at 14:24.
Pushed by ngraham into branch 'master'.

containments/panel: `spacingAtMinSize` use Math.floor

The `spacingAtMinSize` will be used to calculate the container margins.

 `Math.floor` is used to get a more consistent scaling
 when the panel height is changed

M  +1    -1    containments/panel/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/bf45a1d59fe7bec994e9bf9be61f724cbdfc267b
Comment 5 Nate Graham 2022-06-13 14:32:51 UTC
Git commit ce9515f442ffd0787bc7d4559e43a59ec31b0087 by Nate Graham, on behalf of Anthony Hung.
Committed on 13/06/2022 at 14:32.
Pushed by ngraham into branch 'Plasma/5.25'.

containments/panel: `spacingAtMinSize` use Math.floor

The `spacingAtMinSize` will be used to calculate the container margins.

 `Math.floor` is used to get a more consistent scaling
 when the panel height is changed


(cherry picked from commit bf45a1d59fe7bec994e9bf9be61f724cbdfc267b)

M  +1    -1    containments/panel/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/ce9515f442ffd0787bc7d4559e43a59ec31b0087